------------------------------------------------------------
-- VHDL SDRAM_TST1
-- 2015 7 11 23 9 10
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL SDRAM_TST1
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity SDRAM_TST1 Is
  port
  (
    BUS_A0     : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A0
    BUS_A1     : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A1
    BUS_A2     : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A2
    BUS_A3     : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A3
    BUS_A4     : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A4
    BUS_A5     : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A5
    BUS_A6     : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A6
    BUS_A7     : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A7
    BUS_A8     : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A8
    BUS_A9     : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A9
    BUS_A10    : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A10
    BUS_A11    : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A11
    BUS_A12    : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A12
    BUS_A13    : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A13
    BUS_A14    : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A14
    BUS_A15    : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A15
    BUS_A16    : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A16
    BUS_A17    : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_A17
    BUS_D      : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);        -- ObjectKind=Port|PrimaryId=BUS_D[15..0]
    BUS_NBE0   : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_NBE0
    BUS_NBE1   : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_NBE1
    BUS_NWE    : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=BUS_NWE
    CLK12M     : In    STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=CLK12M
    D0         : In    STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=D0
    D1         : In    STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=D1
    D2         : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=D2
    D3         : In    STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=D3
    SDRAM_CKE  : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=SDRAM_CKE
    SDRAM_CLK  : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=SDRAM_CLK
    SDRAM_NCAS : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=SDRAM_NCAS
    SDRAM_NCS  : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=SDRAM_NCS
    SDRAM_NRAS : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=SDRAM_NRAS
    SRAM_NCS   : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=SRAM_NCS
    SRAM_NOE   : Out   STD_LOGIC;                            -- ObjectKind=Port|PrimaryId=SRAM_NOE
    USER_LED   : Out   STD_LOGIC                             -- ObjectKind=Port|PrimaryId=USER_LED
  );
  attribute MacroCell : boolean;

End SDRAM_TST1;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of SDRAM_TST1 is
   Component Clock_IC2                                       -- ObjectKind=Part|PrimaryId=IC2|SecondaryId=1
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-CLK
        CLKA   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-CLKA
        CLKO   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-CLKO
        LOCKED : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-LOCKED
        RST    : in  STD_LOGIC                               -- ObjectKind=Pin|PrimaryId=IC2-RST
      );
   End Component;

   Component Clock_IC4                                       -- ObjectKind=Part|PrimaryId=IC4|SecondaryId=1
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC4-CLK
        CLKA   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC4-CLKA
        CLKO   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC4-CLKO
        LOCKED : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC4-LOCKED
        RST    : in  STD_LOGIC                               -- ObjectKind=Pin|PrimaryId=IC4-RST
      );
   End Component;

   Component Configurable_IC1                                -- ObjectKind=Part|PrimaryId=IC1|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=IC1-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=IC1-O
      );
   End Component;

   Component Configurable_IC3                                -- ObjectKind=Part|PrimaryId=IC3|SecondaryId=1
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC3-CLK
        CLKA   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC3-CLKA
        LOCKED : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC3-LOCKED
        RST    : in  STD_LOGIC                               -- ObjectKind=Pin|PrimaryId=IC3-RST
      );
   End Component;

   Component Configurable_IC6                                -- ObjectKind=Part|PrimaryId=IC6|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=IC6-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=IC6-O
      );
   End Component;

   Component Configurable_PLL_STATUS                         -- ObjectKind=Part|PrimaryId=PLL_STATUS|SecondaryId=1
      port
      (
        PLL_A_LOCKED : in STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=PLL_STATUS-PLL_A_LOCKED
        PLL_B_LOCKED : in STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=PLL_STATUS-PLL_B_LOCKED
        PLL_C_LOCKED : in STD_LOGIC                          -- ObjectKind=Pin|PrimaryId=PLL_STATUS-PLL_C_LOCKED
      );
   End Component;

   Component Configurable_U1011                              -- ObjectKind=Part|PrimaryId=U1011|SecondaryId=1
      port
      (
        I  : in  STD_LOGIC_VECTOR(1 downto 0);               -- ObjectKind=Pin|PrimaryId=U1011-I[1..0]
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U1011-O0
        O1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U1011-O1
      );
   End Component;

   Component Configurable_U1018                              -- ObjectKind=Part|PrimaryId=U1018|SecondaryId=1
      port
      (
        I   : in  STD_LOGIC_VECTOR(12 downto 0);             -- ObjectKind=Pin|PrimaryId=U1018-I[12..0]
        O0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O0
        O1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O1
        O2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O2
        O3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O3
        O4  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O4
        O5  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O5
        O6  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O6
        O7  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O7
        O8  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O8
        O9  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O9
        O10 : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O10
        O11 : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O11
        O12 : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U1018-O12
      );
   End Component;

   Component Configurable_U8011                              -- ObjectKind=Part|PrimaryId=U8011|SecondaryId=1
      port
      (
        I  : in  STD_LOGIC_VECTOR(1 downto 0);               -- ObjectKind=Pin|PrimaryId=U8011-I[1..0]
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U8011-O0
        O1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U8011-O1
      );
   End Component;

   Component Configurable_U_CPU                              -- ObjectKind=Part|PrimaryId=U_CPU|SecondaryId=1
      port
      (
        CLK_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-CLK_I
        INT_I    : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-INT_I[31..0]
        IO_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-IO_ACK_I
        IO_ADR_O : out STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-IO_ADR_O[23..0]
        IO_CLK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-IO_CLK_O
        IO_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-IO_CYC_O
        IO_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-IO_DAT_I[31..0]
        IO_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-IO_DAT_O[31..0]
        IO_RST_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-IO_RST_O
        IO_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_CPU-IO_SEL_O[3..0]
        IO_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-IO_STB_O
        IO_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-IO_WE_O
        ME_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-ME_ACK_I
        ME_ADR_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-ME_ADR_O[31..0]
        ME_CLK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-ME_CLK_O
        ME_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-ME_CYC_O
        ME_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-ME_DAT_I[31..0]
        ME_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-ME_DAT_O[31..0]
        ME_RST_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-ME_RST_O
        ME_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_CPU-ME_SEL_O[3..0]
        ME_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-ME_STB_O
        ME_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-ME_WE_O
        RST_I    : in  STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=U_CPU-RST_I
      );
   End Component;

   Component Configurable_U_IO_INTERCON                      -- ObjectKind=Part|PrimaryId=U_IO_INTERCON|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_ADR_I[23..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_DAT_O[31..0]
        m0_INT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_INT_O[31..0]
        m0_RST_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_RST_I
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_ACK_I
        s0_ADR_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_ADR_O[3..0]
        s0_CLK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_CLK_O
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_DAT_I[7..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_DAT_O[7..0]
        s0_RST_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_RST_O
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_STB_O
        s0_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_WE_O
      );
   End Component;

   Component Configurable_U_MEM_INTERCON                     -- ObjectKind=Part|PrimaryId=U_MEM_INTERCON|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_ADR_I[31..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_DAT_O[31..0]
        m0_RST_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_RST_I
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_ACK_I
        s0_ADR_O : out STD_LOGIC_VECTOR(24 downto 0);        -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_ADR_O[24..0]
        s0_CLK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_CLK_O
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_DAT_I[31..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_DAT_O[31..0]
        s0_RST_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_RST_O
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_STB_O
        s0_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_WE_O
      );
   End Component;

   Component Configurable_U_SDRAM_CONTROL                    -- ObjectKind=Part|PrimaryId=U_SDRAM_CONTROL|SecondaryId=1
      port
      (
        ACK_O      : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-ACK_O
        ADR_I      : in    STD_LOGIC_VECTOR(24 downto 0);    -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-ADR_I[24..0]
        CLK_I      : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-CLK_I
        CYC_I      : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-CYC_I
        DAT_I      : in    STD_LOGIC_VECTOR(31 downto 0);    -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-DAT_I[31..0]
        DAT_O      : out   STD_LOGIC_VECTOR(31 downto 0);    -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-DAT_O[31..0]
        RST_I      : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-RST_I
        SDRAM_A    : out   STD_LOGIC_VECTOR(12 downto 0);    -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_A[12..0]
        SDRAM_BA   : out   STD_LOGIC_VECTOR(1 downto 0);     -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_BA[1..0]
        SDRAM_BE   : out   STD_LOGIC_VECTOR(1 downto 0);     -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_BE[1..0]
        SDRAM_CAS  : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_CAS
        SDRAM_CLK  : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_CLK
        SDRAM_CLKE : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_CLKE
        SDRAM_CS   : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_CS
        SDRAM_D    : inout STD_LOGIC_VECTOR(15 downto 0);    -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_RAS  : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_RAS
        SDRAM_WE   : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_WE
        SEL_I      : in    STD_LOGIC_VECTOR(3 downto 0);     -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SEL_I[3..0]
        STB_I      : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-STB_I
        WE_I       : in    STD_LOGIC                         -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-WE_I
      );
   End Component;

   Component FPGA_STARTUP8                                   -- ObjectKind=Part|PrimaryId=IC5|SecondaryId=1
      port
      (
        CLK   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=IC5-CLK
        DELAY : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=IC5-DELAY[7..0]
        INIT  : out STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=IC5-INIT
      );
   End Component;

   Component NAND3                                           -- ObjectKind=Part|PrimaryId=IC7|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC7-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC7-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC7-I2
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=IC7-O
      );
   End Component;

   Component NEXUS_JTAG_PORT                                 -- ObjectKind=Part|PrimaryId=NEXUS_JTAG_PORT|SecondaryId=1
      port
      (
        TCK  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TCK
        TDI  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDI
        TDO  : out STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDO
        TMS  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TMS
        TRST : in  STD_LOGIC                                 -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TRST
      );
   End Component;

   Component TERMINAL                                        -- ObjectKind=Part|PrimaryId=U_TERMINAL|SecondaryId=1
      port
      (
        ACK_O : out STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-ACK_O
        ADR_I : in  STD_LOGIC_VECTOR(3 downto 0);            -- ObjectKind=Pin|PrimaryId=U_TERMINAL-ADR_I[3..0]
        CLK_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-CLK_I
        CYC_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-CYC_I
        DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=U_TERMINAL-DAT_I[7..0]
        DAT_O : out STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=U_TERMINAL-DAT_O[7..0]
        INT_O : out STD_LOGIC_VECTOR(1 downto 0);            -- ObjectKind=Pin|PrimaryId=U_TERMINAL-INT_O[1..0]
        RST_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-RST_I
        STB_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-STB_I
        WE_I  : in  STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=U_TERMINAL-WE_I
      );
   End Component;


    Signal NamedSignal_MEM_CLK                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MEM_CLK
    Signal NamedSignal_PLL_A                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PLL_A
    Signal NamedSignal_PLL_B                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PLL_B
    Signal NamedSignal_PLL_C                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PLL_C
    Signal NamedSignal_VCC1_BUS                 : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=VCC1_BUS[7..0]
    Signal NamedSignal_WB_CLK                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_CLK
    Signal NamedSignal_WB_RST                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_RST
    Signal PinSignal_IC1_O                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC1_O
    Signal PinSignal_IC2_CLKA                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=C120M
    Signal PinSignal_IC2_LOCKED                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PLL_A
    Signal PinSignal_IC3_CLKA                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=C100M
    Signal PinSignal_IC3_LOCKED                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PLL_B
    Signal PinSignal_IC4_CLKA                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_CLK
    Signal PinSignal_IC4_CLKO                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MEM_CLK
    Signal PinSignal_IC4_LOCKED                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PLL_C
    Signal PinSignal_IC5_INIT                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_RST
    Signal PinSignal_IC6_O                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC2_CLK
    Signal PinSignal_IC7_O                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC7_O
    Signal PinSignal_NEXUS_JTAG_PORT_TDO        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=D2
    Signal PinSignal_U_CPU_IO_ADR_O             : STD_LOGIC_VECTOR(23 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_ADR_O[23..0]
    Signal PinSignal_U_CPU_IO_CLK_O             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_CLK_O
    Signal PinSignal_U_CPU_IO_CYC_O             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_CYC_O
    Signal PinSignal_U_CPU_IO_DAT_O             : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_DAT_O[31..0]
    Signal PinSignal_U_CPU_IO_RST_O             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_RST_O
    Signal PinSignal_U_CPU_IO_SEL_O             : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_SEL_O[3..0]
    Signal PinSignal_U_CPU_IO_STB_O             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_STB_O
    Signal PinSignal_U_CPU_IO_WE_O              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_WE_O
    Signal PinSignal_U_CPU_ME_ADR_O             : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_ADR_O[31..0]
    Signal PinSignal_U_CPU_ME_CLK_O             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_CLK_O
    Signal PinSignal_U_CPU_ME_CYC_O             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_CYC_O
    Signal PinSignal_U_CPU_ME_DAT_O             : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_DAT_O[31..0]
    Signal PinSignal_U_CPU_ME_RST_O             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_RST_O
    Signal PinSignal_U_CPU_ME_SEL_O             : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_SEL_O[3..0]
    Signal PinSignal_U_CPU_ME_STB_O             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_STB_O
    Signal PinSignal_U_CPU_ME_WE_O              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_WE_O
    Signal PinSignal_U_IO_INTERCON_m0_ACK_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_ACK_I
    Signal PinSignal_U_IO_INTERCON_m0_DAT_O     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_DAT_I[31..0]
    Signal PinSignal_U_IO_INTERCON_m0_INT_O     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_INT_I[31..0]
    Signal PinSignal_U_IO_INTERCON_s0_ADR_O     : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_ADR_O[3..0]
    Signal PinSignal_U_IO_INTERCON_s0_CLK_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_CLK_O
    Signal PinSignal_U_IO_INTERCON_s0_CYC_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_CYC_O
    Signal PinSignal_U_IO_INTERCON_s0_DAT_O     : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_DAT_O[7..0]
    Signal PinSignal_U_IO_INTERCON_s0_RST_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_RST_O
    Signal PinSignal_U_IO_INTERCON_s0_STB_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_STB_O
    Signal PinSignal_U_IO_INTERCON_s0_WE_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_WE_O
    Signal PinSignal_U_MEM_INTERCON_m0_ACK_O    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_ACK_I
    Signal PinSignal_U_MEM_INTERCON_m0_DAT_O    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_DAT_I[31..0]
    Signal PinSignal_U_MEM_INTERCON_s0_ADR_O    : STD_LOGIC_VECTOR(24 downto 0); -- ObjectKind=Net|PrimaryId=NetU_MEM_INTERCON_s0_ADR_O[24..0]
    Signal PinSignal_U_MEM_INTERCON_s0_CLK_O    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_INTERCON_s0_CLK_O
    Signal PinSignal_U_MEM_INTERCON_s0_CYC_O    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_INTERCON_s0_CYC_O
    Signal PinSignal_U_MEM_INTERCON_s0_DAT_O    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_MEM_INTERCON_s0_DAT_O[31..0]
    Signal PinSignal_U_MEM_INTERCON_s0_RST_O    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_INTERCON_s0_RST_O
    Signal PinSignal_U_MEM_INTERCON_s0_SEL_O    : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetU_MEM_INTERCON_s0_SEL_O[3..0]
    Signal PinSignal_U_MEM_INTERCON_s0_STB_O    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_INTERCON_s0_STB_O
    Signal PinSignal_U_MEM_INTERCON_s0_WE_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_INTERCON_s0_WE_O
    Signal PinSignal_U_SDRAM_CONTROL_ACK_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_INTERCON_s0_ACK_I
    Signal PinSignal_U_SDRAM_CONTROL_DAT_O      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_MEM_INTERCON_s0_DAT_I[31..0]
    Signal PinSignal_U_SDRAM_CONTROL_SDRAM_A    : STD_LOGIC_VECTOR(12 downto 0); -- ObjectKind=Net|PrimaryId=NetU1018_I[12..0]
    Signal PinSignal_U_SDRAM_CONTROL_SDRAM_BA   : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU8011_I[1..0]
    Signal PinSignal_U_SDRAM_CONTROL_SDRAM_BE   : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU1011_I[1..0]
    Signal PinSignal_U_SDRAM_CONTROL_SDRAM_CAS  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_SDRAM_CONTROL_SDRAM_CAS
    Signal PinSignal_U_SDRAM_CONTROL_SDRAM_CLKE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_SDRAM_CONTROL_SDRAM_CLKE
    Signal PinSignal_U_SDRAM_CONTROL_SDRAM_CS   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_SDRAM_CONTROL_SDRAM_CS
    Signal PinSignal_U_SDRAM_CONTROL_SDRAM_RAS  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_SDRAM_CONTROL_SDRAM_RAS
    Signal PinSignal_U_SDRAM_CONTROL_SDRAM_WE   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_SDRAM_CONTROL_SDRAM_WE
    Signal PinSignal_U_TERMINAL_ACK_O           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_ACK_I
    Signal PinSignal_U_TERMINAL_DAT_O           : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_DAT_I[7..0]
    Signal PinSignal_U1011_O0                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1011_O0
    Signal PinSignal_U1011_O1                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1011_O1
    Signal PinSignal_U1018_O0                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O0
    Signal PinSignal_U1018_O1                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O1
    Signal PinSignal_U1018_O10                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O10
    Signal PinSignal_U1018_O11                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O11
    Signal PinSignal_U1018_O12                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O12
    Signal PinSignal_U1018_O2                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O2
    Signal PinSignal_U1018_O3                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O3
    Signal PinSignal_U1018_O4                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O4
    Signal PinSignal_U1018_O5                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O5
    Signal PinSignal_U1018_O6                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O6
    Signal PinSignal_U1018_O7                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O7
    Signal PinSignal_U1018_O8                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O8
    Signal PinSignal_U1018_O9                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O9
    Signal PinSignal_U8011_O0                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU8011_O0
    Signal PinSignal_U8011_O1                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU8011_O1
    Signal PowerSignal_GND                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

begin
    U_TERMINAL : TERMINAL                                    -- ObjectKind=Part|PrimaryId=U_TERMINAL|SecondaryId=1
      Port Map
      (
        ACK_O => PinSignal_U_TERMINAL_ACK_O,                 -- ObjectKind=Pin|PrimaryId=U_TERMINAL-ACK_O
        ADR_I => PinSignal_U_IO_INTERCON_s0_ADR_O,           -- ObjectKind=Pin|PrimaryId=U_TERMINAL-ADR_I[3..0]
        CLK_I => PinSignal_U_IO_INTERCON_s0_CLK_O,           -- ObjectKind=Pin|PrimaryId=U_TERMINAL-CLK_I
        CYC_I => PinSignal_U_IO_INTERCON_s0_CYC_O,           -- ObjectKind=Pin|PrimaryId=U_TERMINAL-CYC_I
        DAT_I => PinSignal_U_IO_INTERCON_s0_DAT_O,           -- ObjectKind=Pin|PrimaryId=U_TERMINAL-DAT_I[7..0]
        DAT_O => PinSignal_U_TERMINAL_DAT_O,                 -- ObjectKind=Pin|PrimaryId=U_TERMINAL-DAT_O[7..0]
        RST_I => PinSignal_U_IO_INTERCON_s0_RST_O,           -- ObjectKind=Pin|PrimaryId=U_TERMINAL-RST_I
        STB_I => PinSignal_U_IO_INTERCON_s0_STB_O,           -- ObjectKind=Pin|PrimaryId=U_TERMINAL-STB_I
        WE_I  => PinSignal_U_IO_INTERCON_s0_WE_O             -- ObjectKind=Pin|PrimaryId=U_TERMINAL-WE_I
      );

    U_SDRAM_CONTROL : Configurable_U_SDRAM_CONTROL           -- ObjectKind=Part|PrimaryId=U_SDRAM_CONTROL|SecondaryId=1
      Port Map
      (
        ACK_O       => PinSignal_U_SDRAM_CONTROL_ACK_O,      -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-ACK_O
        ADR_I       => PinSignal_U_MEM_INTERCON_s0_ADR_O,    -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-ADR_I[24..0]
        CLK_I       => PinSignal_U_MEM_INTERCON_s0_CLK_O,    -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-CLK_I
        CYC_I       => PinSignal_U_MEM_INTERCON_s0_CYC_O,    -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-CYC_I
        DAT_I       => PinSignal_U_MEM_INTERCON_s0_DAT_O,    -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-DAT_I[31..0]
        DAT_O       => PinSignal_U_SDRAM_CONTROL_DAT_O,      -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-DAT_O[31..0]
        RST_I       => PinSignal_U_MEM_INTERCON_s0_RST_O,    -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-RST_I
        SDRAM_A     => PinSignal_U_SDRAM_CONTROL_SDRAM_A,    -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_A[12..0]
        SDRAM_BA    => PinSignal_U_SDRAM_CONTROL_SDRAM_BA,   -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_BA[1..0]
        SDRAM_BE    => PinSignal_U_SDRAM_CONTROL_SDRAM_BE,   -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_BE[1..0]
        SDRAM_CAS   => PinSignal_U_SDRAM_CONTROL_SDRAM_CAS,  -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_CAS
        SDRAM_CLK   => PinSignal_IC1_O,                      -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_CLK
        SDRAM_CLKE  => PinSignal_U_SDRAM_CONTROL_SDRAM_CLKE, -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_CLKE
        SDRAM_CS    => PinSignal_U_SDRAM_CONTROL_SDRAM_CS,   -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_CS
        SDRAM_D(15) => BUS_D(15),                            -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(14) => BUS_D(14),                            -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(13) => BUS_D(13),                            -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(12) => BUS_D(12),                            -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(11) => BUS_D(11),                            -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(10) => BUS_D(10),                            -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(9)  => BUS_D(9),                             -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(8)  => BUS_D(8),                             -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(7)  => BUS_D(7),                             -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(6)  => BUS_D(6),                             -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(5)  => BUS_D(5),                             -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(4)  => BUS_D(4),                             -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(3)  => BUS_D(3),                             -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(2)  => BUS_D(2),                             -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(1)  => BUS_D(1),                             -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_D(0)  => BUS_D(0),                             -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_D[15..0]
        SDRAM_RAS   => PinSignal_U_SDRAM_CONTROL_SDRAM_RAS,  -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_RAS
        SDRAM_WE    => PinSignal_U_SDRAM_CONTROL_SDRAM_WE,   -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SDRAM_WE
        SEL_I       => PinSignal_U_MEM_INTERCON_s0_SEL_O,    -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-SEL_I[3..0]
        STB_I       => PinSignal_U_MEM_INTERCON_s0_STB_O,    -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-STB_I
        WE_I        => PinSignal_U_MEM_INTERCON_s0_WE_O      -- ObjectKind=Pin|PrimaryId=U_SDRAM_CONTROL-WE_I
      );

    U_MEM_INTERCON : Configurable_U_MEM_INTERCON             -- ObjectKind=Part|PrimaryId=U_MEM_INTERCON|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_U_MEM_INTERCON_m0_ACK_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_ACK_O
        m0_ADR_I => PinSignal_U_CPU_ME_ADR_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_ADR_I[31..0]
        m0_CLK_I => PinSignal_U_CPU_ME_CLK_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_CLK_I
        m0_CYC_I => PinSignal_U_CPU_ME_CYC_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_CYC_I
        m0_DAT_I => PinSignal_U_CPU_ME_DAT_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_U_MEM_INTERCON_m0_DAT_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_DAT_O[31..0]
        m0_RST_I => PinSignal_U_CPU_ME_RST_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_RST_I
        m0_SEL_I => PinSignal_U_CPU_ME_SEL_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_SEL_I[3..0]
        m0_STB_I => PinSignal_U_CPU_ME_STB_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_STB_I
        m0_WE_I  => PinSignal_U_CPU_ME_WE_O,                 -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_WE_I
        s0_ACK_I => PinSignal_U_SDRAM_CONTROL_ACK_O,         -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_ACK_I
        s0_ADR_O => PinSignal_U_MEM_INTERCON_s0_ADR_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_ADR_O[24..0]
        s0_CLK_O => PinSignal_U_MEM_INTERCON_s0_CLK_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_CLK_O
        s0_CYC_O => PinSignal_U_MEM_INTERCON_s0_CYC_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_CYC_O
        s0_DAT_I => PinSignal_U_SDRAM_CONTROL_DAT_O,         -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_DAT_I[31..0]
        s0_DAT_O => PinSignal_U_MEM_INTERCON_s0_DAT_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_DAT_O[31..0]
        s0_RST_O => PinSignal_U_MEM_INTERCON_s0_RST_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_RST_O
        s0_SEL_O => PinSignal_U_MEM_INTERCON_s0_SEL_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_SEL_O[3..0]
        s0_STB_O => PinSignal_U_MEM_INTERCON_s0_STB_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_STB_O
        s0_WE_O  => PinSignal_U_MEM_INTERCON_s0_WE_O         -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_WE_O
      );

    U_IO_INTERCON : Configurable_U_IO_INTERCON               -- ObjectKind=Part|PrimaryId=U_IO_INTERCON|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_U_IO_INTERCON_m0_ACK_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_ACK_O
        m0_ADR_I => PinSignal_U_CPU_IO_ADR_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_ADR_I[23..0]
        m0_CLK_I => PinSignal_U_CPU_IO_CLK_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_CLK_I
        m0_CYC_I => PinSignal_U_CPU_IO_CYC_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_CYC_I
        m0_DAT_I => PinSignal_U_CPU_IO_DAT_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_U_IO_INTERCON_m0_DAT_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_DAT_O[31..0]
        m0_INT_O => PinSignal_U_IO_INTERCON_m0_INT_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_INT_O[31..0]
        m0_RST_I => PinSignal_U_CPU_IO_RST_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_RST_I
        m0_SEL_I => PinSignal_U_CPU_IO_SEL_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_SEL_I[3..0]
        m0_STB_I => PinSignal_U_CPU_IO_STB_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_STB_I
        m0_WE_I  => PinSignal_U_CPU_IO_WE_O,                 -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_WE_I
        s0_ACK_I => PinSignal_U_TERMINAL_ACK_O,              -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_ACK_I
        s0_ADR_O => PinSignal_U_IO_INTERCON_s0_ADR_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_ADR_O[3..0]
        s0_CLK_O => PinSignal_U_IO_INTERCON_s0_CLK_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_CLK_O
        s0_CYC_O => PinSignal_U_IO_INTERCON_s0_CYC_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_CYC_O
        s0_DAT_I => PinSignal_U_TERMINAL_DAT_O,              -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_DAT_I[7..0]
        s0_DAT_O => PinSignal_U_IO_INTERCON_s0_DAT_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_DAT_O[7..0]
        s0_RST_O => PinSignal_U_IO_INTERCON_s0_RST_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_RST_O
        s0_STB_O => PinSignal_U_IO_INTERCON_s0_STB_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_STB_O
        s0_WE_O  => PinSignal_U_IO_INTERCON_s0_WE_O          -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_WE_O
      );

    U_CPU : Configurable_U_CPU                               -- ObjectKind=Part|PrimaryId=U_CPU|SecondaryId=1
      Port Map
      (
        CLK_I    => NamedSignal_WB_CLK,                      -- ObjectKind=Pin|PrimaryId=U_CPU-CLK_I
        INT_I    => PinSignal_U_IO_INTERCON_m0_INT_O,        -- ObjectKind=Pin|PrimaryId=U_CPU-INT_I[31..0]
        IO_ACK_I => PinSignal_U_IO_INTERCON_m0_ACK_O,        -- ObjectKind=Pin|PrimaryId=U_CPU-IO_ACK_I
        IO_ADR_O => PinSignal_U_CPU_IO_ADR_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_ADR_O[23..0]
        IO_CLK_O => PinSignal_U_CPU_IO_CLK_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_CLK_O
        IO_CYC_O => PinSignal_U_CPU_IO_CYC_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_CYC_O
        IO_DAT_I => PinSignal_U_IO_INTERCON_m0_DAT_O,        -- ObjectKind=Pin|PrimaryId=U_CPU-IO_DAT_I[31..0]
        IO_DAT_O => PinSignal_U_CPU_IO_DAT_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_DAT_O[31..0]
        IO_RST_O => PinSignal_U_CPU_IO_RST_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_RST_O
        IO_SEL_O => PinSignal_U_CPU_IO_SEL_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_SEL_O[3..0]
        IO_STB_O => PinSignal_U_CPU_IO_STB_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_STB_O
        IO_WE_O  => PinSignal_U_CPU_IO_WE_O,                 -- ObjectKind=Pin|PrimaryId=U_CPU-IO_WE_O
        ME_ACK_I => PinSignal_U_MEM_INTERCON_m0_ACK_O,       -- ObjectKind=Pin|PrimaryId=U_CPU-ME_ACK_I
        ME_ADR_O => PinSignal_U_CPU_ME_ADR_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_ADR_O[31..0]
        ME_CLK_O => PinSignal_U_CPU_ME_CLK_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_CLK_O
        ME_CYC_O => PinSignal_U_CPU_ME_CYC_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_CYC_O
        ME_DAT_I => PinSignal_U_MEM_INTERCON_m0_DAT_O,       -- ObjectKind=Pin|PrimaryId=U_CPU-ME_DAT_I[31..0]
        ME_DAT_O => PinSignal_U_CPU_ME_DAT_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_DAT_O[31..0]
        ME_RST_O => PinSignal_U_CPU_ME_RST_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_RST_O
        ME_SEL_O => PinSignal_U_CPU_ME_SEL_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_SEL_O[3..0]
        ME_STB_O => PinSignal_U_CPU_ME_STB_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_STB_O
        ME_WE_O  => PinSignal_U_CPU_ME_WE_O,                 -- ObjectKind=Pin|PrimaryId=U_CPU-ME_WE_O
        RST_I    => NamedSignal_WB_RST                       -- ObjectKind=Pin|PrimaryId=U_CPU-RST_I
      );

    U8011 : Configurable_U8011                               -- ObjectKind=Part|PrimaryId=U8011|SecondaryId=1
      Port Map
      (
        I  => PinSignal_U_SDRAM_CONTROL_SDRAM_BA,            -- ObjectKind=Pin|PrimaryId=U8011-I[1..0]
        O0 => PinSignal_U8011_O0,                            -- ObjectKind=Pin|PrimaryId=U8011-O0
        O1 => PinSignal_U8011_O1                             -- ObjectKind=Pin|PrimaryId=U8011-O1
      );

    U1018 : Configurable_U1018                               -- ObjectKind=Part|PrimaryId=U1018|SecondaryId=1
      Port Map
      (
        I   => PinSignal_U_SDRAM_CONTROL_SDRAM_A,            -- ObjectKind=Pin|PrimaryId=U1018-I[12..0]
        O0  => PinSignal_U1018_O0,                           -- ObjectKind=Pin|PrimaryId=U1018-O0
        O1  => PinSignal_U1018_O1,                           -- ObjectKind=Pin|PrimaryId=U1018-O1
        O2  => PinSignal_U1018_O2,                           -- ObjectKind=Pin|PrimaryId=U1018-O2
        O3  => PinSignal_U1018_O3,                           -- ObjectKind=Pin|PrimaryId=U1018-O3
        O4  => PinSignal_U1018_O4,                           -- ObjectKind=Pin|PrimaryId=U1018-O4
        O5  => PinSignal_U1018_O5,                           -- ObjectKind=Pin|PrimaryId=U1018-O5
        O6  => PinSignal_U1018_O6,                           -- ObjectKind=Pin|PrimaryId=U1018-O6
        O7  => PinSignal_U1018_O7,                           -- ObjectKind=Pin|PrimaryId=U1018-O7
        O8  => PinSignal_U1018_O8,                           -- ObjectKind=Pin|PrimaryId=U1018-O8
        O9  => PinSignal_U1018_O9,                           -- ObjectKind=Pin|PrimaryId=U1018-O9
        O10 => PinSignal_U1018_O10,                          -- ObjectKind=Pin|PrimaryId=U1018-O10
        O11 => PinSignal_U1018_O11,                          -- ObjectKind=Pin|PrimaryId=U1018-O11
        O12 => PinSignal_U1018_O12                           -- ObjectKind=Pin|PrimaryId=U1018-O12
      );

    U1011 : Configurable_U1011                               -- ObjectKind=Part|PrimaryId=U1011|SecondaryId=1
      Port Map
      (
        I  => PinSignal_U_SDRAM_CONTROL_SDRAM_BE,            -- ObjectKind=Pin|PrimaryId=U1011-I[1..0]
        O0 => PinSignal_U1011_O0,                            -- ObjectKind=Pin|PrimaryId=U1011-O0
        O1 => PinSignal_U1011_O1                             -- ObjectKind=Pin|PrimaryId=U1011-O1
      );

    PLL_STATUS : Configurable_PLL_STATUS                     -- ObjectKind=Part|PrimaryId=PLL_STATUS|SecondaryId=1
      Port Map
      (
        PLL_A_LOCKED => NamedSignal_PLL_A,                   -- ObjectKind=Pin|PrimaryId=PLL_STATUS-PLL_A_LOCKED
        PLL_B_LOCKED => NamedSignal_PLL_B,                   -- ObjectKind=Pin|PrimaryId=PLL_STATUS-PLL_B_LOCKED
        PLL_C_LOCKED => NamedSignal_PLL_C                    -- ObjectKind=Pin|PrimaryId=PLL_STATUS-PLL_C_LOCKED
      );

    NEXUS_JTAG_PORTMBXVWGHE : NEXUS_JTAG_PORT                -- ObjectKind=Part|PrimaryId=NEXUS_JTAG_PORT|SecondaryId=1
      Port Map
      (
        TCK  => D0,                                          -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TCK
        TDI  => D1,                                          -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDI
        TDO  => PinSignal_NEXUS_JTAG_PORT_TDO,               -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDO
        TMS  => D3,                                          -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TMS
        TRST => PowerSignal_VCC                              -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TRST
      );

    IC7 : NAND3                                              -- ObjectKind=Part|PrimaryId=IC7|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_IC2_LOCKED,                          -- ObjectKind=Pin|PrimaryId=IC7-I0
        I1 => PinSignal_IC3_LOCKED,                          -- ObjectKind=Pin|PrimaryId=IC7-I1
        I2 => PinSignal_IC4_LOCKED,                          -- ObjectKind=Pin|PrimaryId=IC7-I2
        O  => PinSignal_IC7_O                                -- ObjectKind=Pin|PrimaryId=IC7-O
      );

    IC6 : Configurable_IC6                                   -- ObjectKind=Part|PrimaryId=IC6|SecondaryId=1
      Port Map
      (
        I => CLK12M,                                         -- ObjectKind=Pin|PrimaryId=IC6-I
        O => PinSignal_IC6_O                                 -- ObjectKind=Pin|PrimaryId=IC6-O
      );

    IC5 : FPGA_STARTUP8                                      -- ObjectKind=Part|PrimaryId=IC5|SecondaryId=1
      Port Map
      (
        CLK   => PinSignal_IC4_CLKA,                         -- ObjectKind=Pin|PrimaryId=IC5-CLK
        DELAY => NamedSignal_VCC1_BUS,                       -- ObjectKind=Pin|PrimaryId=IC5-DELAY[7..0]
        INIT  => PinSignal_IC5_INIT                          -- ObjectKind=Pin|PrimaryId=IC5-INIT
      );

    IC4 : Clock_IC4                                          -- ObjectKind=Part|PrimaryId=IC4|SecondaryId=1
      Port Map
      (
        CLK    => PinSignal_IC3_CLKA,                        -- ObjectKind=Pin|PrimaryId=IC4-CLK
        CLKA   => PinSignal_IC4_CLKA,                        -- ObjectKind=Pin|PrimaryId=IC4-CLKA
        CLKO   => PinSignal_IC4_CLKO,                        -- ObjectKind=Pin|PrimaryId=IC4-CLKO
        LOCKED => PinSignal_IC4_LOCKED,                      -- ObjectKind=Pin|PrimaryId=IC4-LOCKED
        RST    => PowerSignal_GND                            -- ObjectKind=Pin|PrimaryId=IC4-RST
      );

    IC3 : Configurable_IC3                                   -- ObjectKind=Part|PrimaryId=IC3|SecondaryId=1
      Port Map
      (
        CLK    => PinSignal_IC2_CLKA,                        -- ObjectKind=Pin|PrimaryId=IC3-CLK
        CLKA   => PinSignal_IC3_CLKA,                        -- ObjectKind=Pin|PrimaryId=IC3-CLKA
        LOCKED => PinSignal_IC3_LOCKED,                      -- ObjectKind=Pin|PrimaryId=IC3-LOCKED
        RST    => PowerSignal_GND                            -- ObjectKind=Pin|PrimaryId=IC3-RST
      );

    IC2 : Clock_IC2                                          -- ObjectKind=Part|PrimaryId=IC2|SecondaryId=1
      Port Map
      (
        CLK    => PinSignal_IC6_O,                           -- ObjectKind=Pin|PrimaryId=IC2-CLK
        CLKA   => PinSignal_IC2_CLKA,                        -- ObjectKind=Pin|PrimaryId=IC2-CLKA
        LOCKED => PinSignal_IC2_LOCKED,                      -- ObjectKind=Pin|PrimaryId=IC2-LOCKED
        RST    => PowerSignal_GND                            -- ObjectKind=Pin|PrimaryId=IC2-RST
      );

    IC1 : Configurable_IC1                                   -- ObjectKind=Part|PrimaryId=IC1|SecondaryId=1
      Port Map
      (
        I => NamedSignal_MEM_CLK,                            -- ObjectKind=Pin|PrimaryId=IC1-I
        O => PinSignal_IC1_O                                 -- ObjectKind=Pin|PrimaryId=IC1-O
      );

    -- Signal Assignments
    ---------------------
    BUS_A0               <= PinSignal_U1018_O0; -- ObjectKind=Net|PrimaryId=NetU1018_O0
    BUS_A1               <= PinSignal_U1018_O1; -- ObjectKind=Net|PrimaryId=NetU1018_O1
    BUS_A10              <= PinSignal_U1018_O10; -- ObjectKind=Net|PrimaryId=NetU1018_O10
    BUS_A11              <= PinSignal_U1018_O11; -- ObjectKind=Net|PrimaryId=NetU1018_O11
    BUS_A12              <= PinSignal_U1018_O12; -- ObjectKind=Net|PrimaryId=NetU1018_O12
    BUS_A13              <= PinSignal_U8011_O0; -- ObjectKind=Net|PrimaryId=NetU8011_O0
    BUS_A14              <= PinSignal_U8011_O1; -- ObjectKind=Net|PrimaryId=NetU8011_O1
    BUS_A15              <= PowerSignal_GND; -- ObjectKind=Net|PrimaryId=GND
    BUS_A16              <= PowerSignal_GND; -- ObjectKind=Net|PrimaryId=GND
    BUS_A17              <= PowerSignal_GND; -- ObjectKind=Net|PrimaryId=GND
    BUS_A2               <= PinSignal_U1018_O2; -- ObjectKind=Net|PrimaryId=NetU1018_O2
    BUS_A3               <= PinSignal_U1018_O3; -- ObjectKind=Net|PrimaryId=NetU1018_O3
    BUS_A4               <= PinSignal_U1018_O4; -- ObjectKind=Net|PrimaryId=NetU1018_O4
    BUS_A5               <= PinSignal_U1018_O5; -- ObjectKind=Net|PrimaryId=NetU1018_O5
    BUS_A6               <= PinSignal_U1018_O6; -- ObjectKind=Net|PrimaryId=NetU1018_O6
    BUS_A7               <= PinSignal_U1018_O7; -- ObjectKind=Net|PrimaryId=NetU1018_O7
    BUS_A8               <= PinSignal_U1018_O8; -- ObjectKind=Net|PrimaryId=NetU1018_O8
    BUS_A9               <= PinSignal_U1018_O9; -- ObjectKind=Net|PrimaryId=NetU1018_O9
    BUS_NBE0             <= PinSignal_U1011_O0; -- ObjectKind=Net|PrimaryId=NetU1011_O0
    BUS_NBE1             <= PinSignal_U1011_O1; -- ObjectKind=Net|PrimaryId=NetU1011_O1
    BUS_NWE              <= PinSignal_U_SDRAM_CONTROL_SDRAM_WE; -- ObjectKind=Net|PrimaryId=NetU_SDRAM_CONTROL_SDRAM_WE
    D2                   <= PinSignal_NEXUS_JTAG_PORT_TDO; -- ObjectKind=Net|PrimaryId=D2
    NamedSignal_MEM_CLK  <= PinSignal_IC4_CLKO; -- ObjectKind=Net|PrimaryId=MEM_CLK
    NamedSignal_PLL_A    <= PinSignal_IC2_LOCKED; -- ObjectKind=Net|PrimaryId=PLL_A
    NamedSignal_PLL_B    <= PinSignal_IC3_LOCKED; -- ObjectKind=Net|PrimaryId=PLL_B
    NamedSignal_PLL_C    <= PinSignal_IC4_LOCKED; -- ObjectKind=Net|PrimaryId=PLL_C
    NamedSignal_VCC1_BUS <= "11111111"; -- ObjectKind=Net|PrimaryId=VCC1_BUS[7..0]
    NamedSignal_WB_CLK   <= PinSignal_IC4_CLKA; -- ObjectKind=Net|PrimaryId=WB_CLK
    NamedSignal_WB_RST   <= PinSignal_IC5_INIT; -- ObjectKind=Net|PrimaryId=WB_RST
    PowerSignal_GND      <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC      <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    SDRAM_CKE            <= PinSignal_U_SDRAM_CONTROL_SDRAM_CLKE; -- ObjectKind=Net|PrimaryId=NetU_SDRAM_CONTROL_SDRAM_CLKE
    SDRAM_CLK            <= NamedSignal_MEM_CLK; -- ObjectKind=Net|PrimaryId=MEM_CLK
    SDRAM_NCAS           <= PinSignal_U_SDRAM_CONTROL_SDRAM_CAS; -- ObjectKind=Net|PrimaryId=NetU_SDRAM_CONTROL_SDRAM_CAS
    SDRAM_NCS            <= PinSignal_U_SDRAM_CONTROL_SDRAM_CS; -- ObjectKind=Net|PrimaryId=NetU_SDRAM_CONTROL_SDRAM_CS
    SDRAM_NRAS           <= PinSignal_U_SDRAM_CONTROL_SDRAM_RAS; -- ObjectKind=Net|PrimaryId=NetU_SDRAM_CONTROL_SDRAM_RAS
    SRAM_NCS             <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=VCC
    SRAM_NOE             <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=VCC
    USER_LED             <= PinSignal_IC7_O; -- ObjectKind=Net|PrimaryId=NetIC7_O

end structure;
------------------------------------------------------------

