#include "sdram_tst1.lsl"
#ifdef __SW_LSL
#include __SW_LSL
#endif

derivative system
{
    core sw
    {
        architecture = __SW_ARCH;
    }

    memory irom
    {
        mau = 8;
        type = nvram;
        size = 32k;
        map(dest=bus:sw:addr_bus, src_offset=0x0, dest_offset=0, size=32k);
    }

    memory xram
    {
        mau = 8;
        type = nvram;
        size = 32M;
        map(dest=bus:sw:addr_bus, src_offset=0x0, dest_offset=0x01000000, size=32M);
    }



    // Software Platform locate rules
    #ifdef __SWPLATFORM__
    #include "framecfg\swplatform.lsl"
    #endif
    section_layout TSK3000:sw:main
    {
        group (run_addr = 0x01000000, ordered, contiguous) reserved "reserved-0x01000000" (size = 31M);
    }





}
